# Lists payments configuration

GET {{baseURL}}/v2/settings/payment-config
This endpoint lists the payment configuration settings.
See Also:
To retrieve the contact information, see GET /v2/settings/contact-information.
To retrieve the transaction autofill settings, see GET /v2/settings/transaction-autofill.
To update the transaction autofill settings, see PATCH /v2/settings/transaction-autofill.

Endpoint: GET /v2/settings/payment-config
Version: V2 Beta
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `zeroCostProcessingOption` (string)
    Indicates the zero cost processing option.
Zero cost processing is a pricing strategy that the merchant passes the cost of credit card processing fees on to the customer.
The result is that the merchant pays little to no fees.
Valid values are:
| Type | Meaning |
|  --- | --- |
| CashDiscount | Customers paying with cash receive a discount off the posted price. |
| DualPricing | Two prices are displayed side by side. This is a cash price and a card price. The customer chooses which to pay. |
| None | The merchant absorbs the processing fees themselves. |
| Surcharge | A fee is added to the transaction when a customer pays by credit card. The surcharge amount covers the processing cost. |

Example: DualPricing
    Enum: "None", "CashDiscount", "DualPricing", "Surcharge"

  - `defaultTipsOptions` (array)
    Indicates the default tip percentage suggestion options.
This is an array of percentage values that display at the time of purchase.
They offer preselected tip percentage suggestions as a convenience for the purchasers.
Example: [ 15, 18, 20 ] (as 15%, 18%, and 20%)
    Example: [15,18,20]

  - `defaultSurchargeRate` (number)
    Indicates the default surcharge rate.
Examples:
1.5 (as 1.5%)
5 (as 5%)
22 (as 22%)
    Example: 1.5

  - `defaultCashDiscountRate` (number)
    Indicates the cash discount rate.
Examples:
1.5 (as 1.5%)
5 (as 5%)
20 (as 20%)
    Example: 1.5

  - `defaultDualPricingRate` (number)
    Indicates the default dual pricing rate.
Examples:
1.8 (as 1.8%)
5 (as 5%)
20 (as 20%)
    Example: 1.8

  - `availableCurrencies` (array)
    Indicates the available currencies (in uppercase ISO 4217 currency code).

Example: USD
    Example: ["USD"]

  - `availableCardTypes` (array)
    Indicates the available card types.
Example: [ "Visa", "MasterCard", "AmericanExpress" ]
    Example: ["Visa","MasterCard","AmericanExpress"]

  - `availableTransactionTypes` (array)
    Indicates the available transaction types.
Example: [ "Authorization", "Sale", "Refund" ]
    Example: ["Authorization","Sale","Refund"]

  - `isTipsEnabled` (boolean)
    Indicates tips are enabled.
If `true`, tips are enabled.
If `false`, tips are not enabled.
Example: true
    Example: true

  - `availablePaymentProcessors` (array)
    Indicates the available payment processors.

  - `availablePaymentProcessors.paymentProcessorId` (string)
    Identifies the payment processor.

Defaults to merchant's default processor.

Example: 76215e54-a85b-4d42-9553-163fe393cb02
    Example: 76215e54-a85b-4d42-9553-163fe393cb02

  - `availablePaymentProcessors.processorName` (string)
    Indicates the payment processor name.

Example: TSYS
    Example: TSYS

  - `availablePaymentProcessors.isDefault` (boolean)
    Indicates this payment method is the default payment method.
If `true`, this is the default payment method.
If `false`, this is not the default payment method.
Example: true
    Example: true

  - `availablePaymentProcessors.type` (string)
    Indicates the processor type.

Example: SandboxCard
    Enum: "Tsys", "Ach", "SandboxCard", "SandboxAch"

  - `availablePaymentProcessors.settlementBatchTimeSlots` (array)
    Indicates an object for settlement batch time slots.

  - `availablePaymentProcessors.settlementBatchTimeSlots.hours` (integer)
    Indicates the hour (in 24 hour format) of the time slot.
Examples:
9
13
    Example: 9

  - `availablePaymentProcessors.settlementBatchTimeSlots.minutes` (integer)
    Indicates the minutes of the time slot.
Examples:
0
30
45

  - `availablePaymentProcessors.settlementBatchTimeSlots.timezoneName` (string)
    Indicates the timezone name (in IANA Time Zone Database format)
Examples:
America/New_York
Europe/London
Asia/Tokyo
    Example: America/New_York

  - `addressVerificationServiceOptions` (object)

  - `addressVerificationServiceOptions.isEnabled` (boolean)
    Indicates the AVS (address verification service) is enabled.
If `true`, AVS is enabled.
If `false`, AVS is not enabled.
Example: true
    Example: true

  - `addressVerificationServiceOptions.profile` (string)
    Indicates the AVS (address verification service) tolerance levels.
Valid values are:
| Level | Description |
|  --- | --- |
| Moderate | Either the street address or ZIP code matches but not necessarily both. |
| Strict | Both the street address and ZIP code must match exactly. |
| Tolerant | No AVS verification is performed. The transaction is accepted regardless if the address matches. |

Example: Moderate
    Enum: "Strict", "Moderate", "Tolerant"

  - `isCustomerCardSavingByTerminalEnabled` (boolean)
    Indicates the terminal can save customer card after a transaction.
If `true`, the terminal can save customer card after a transaction.
If `false`, the terminal cannot save customer card after a transaction.
Example: true
    Example: true

  - `companyName` (string)
    Indicates the name of the customer's company or organization.

This is a free-formed name that is convenient for the merchant to recognize.

Example: Peppared Street Cafe
    Example: Peppared Street Cafe

  - `mccCode` (string)
    Indicates the MCC (merchant category code).

Example: 5411
    Example: 5411

  - `mccCodeDescription` (string)
    Indicates the MCC (merchant category code) description.

Example: Grocery Stores, Supermarkets
    Example: Grocery Stores, Supermarkets

  - `currency` (string)
    Identifies the transaction's currency code (in uppercase ISO 4217 currency code).

Example: USD
    Enum: "USD"

  - `maxTransactionAmount` (number)
    Indicates the maximum transaction amount limit.

Example: 10000
    Example: 10000

  - `ttpIosTerminalProfileId` (string)
    Indicates the TTP (tap-to-pay terminal) profile identifier for iOS devices.

Example: ttp-ios-profile-123
    Example: ttp-ios-profile-123

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Unauthorized
    Example: Unauthorized

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Response | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: <Service>

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

This is a unique identifier, a trace identifier, Flute attaches to a request/response pair so a single transaction can be traced end-to-end across systems and logs. 

Its intent is to support troubleshooting.
We recommend including this value when contacting support.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
This is a field on Flute's standard error response object, alongside values such as `correlationId`, `errorCode`, or `statusCode`.
It's the identifier of the specific resource the failed request was about.
Error messages may specify "Entity with ID b31fbe9f-eebb-45ce-9cae-92265389f47f does not exist or has been deleted."
When a 404 (or similar entity-specific error, like a conflict) comes back,
check `entityId` to get the exact identifier of the record that couldn't be found or matched.
This is useful for confirming which resource reference was wrong, especially if the request touched multiple identifiers at once.
Example: null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

  - `title` (string)
    Indicates a short, human-readable summary of the error category.

Example: Resource not found
    Example: Resource not found

  - `cause` (string)
    Indicates the reason the error occurred.

Example: The requested resource does not exist or has been deleted.
    Example: The requested resource does not exist or has been deleted.

  - `resolution` (string)
    Indicates the recommended action for resolving the error.

Example: Verify the resource ID is correct or retrieve a list of available resources.
    Example: Verify the resource ID is correct or retrieve a list of available resources.

  - `documentationUrl` (string)
    https://developer.flute.com/

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Unauthorized
    Example: Unauthorized

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Response | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: <Service>

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

This is a unique identifier, a trace identifier, Flute attaches to a request/response pair so a single transaction can be traced end-to-end across systems and logs. 

Its intent is to support troubleshooting.
We recommend including this value when contacting support.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
This is a field on Flute's standard error response object, alongside values such as `correlationId`, `errorCode`, or `statusCode`.
It's the identifier of the specific resource the failed request was about.
Error messages may specify "Entity with ID b31fbe9f-eebb-45ce-9cae-92265389f47f does not exist or has been deleted."
When a 404 (or similar entity-specific error, like a conflict) comes back,
check `entityId` to get the exact identifier of the record that couldn't be found or matched.
This is useful for confirming which resource reference was wrong, especially if the request touched multiple identifiers at once.
Example: null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

  - `title` (string)
    Indicates a short, human-readable summary of the error category.

Example: Resource not found
    Example: Resource not found

  - `cause` (string)
    Indicates the reason the error occurred.

Example: The requested resource does not exist or has been deleted.
    Example: The requested resource does not exist or has been deleted.

  - `resolution` (string)
    Indicates the recommended action for resolving the error.

Example: Verify the resource ID is correct or retrieve a list of available resources.
    Example: Verify the resource ID is correct or retrieve a list of available resources.

  - `documentationUrl` (string)
    https://developer.flute.com/

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: <Service>

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

  - `title` (string)

  - `cause` (string)

  - `resolution` (string)

  - `documentationUrl` (string)
    https://developer.flute.com/

  - `errors` (object)

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 429 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Unauthorized
    Example: Unauthorized

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Response | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: <Service>

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

This is a unique identifier, a trace identifier, Flute attaches to a request/response pair so a single transaction can be traced end-to-end across systems and logs. 

Its intent is to support troubleshooting.
We recommend including this value when contacting support.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
This is a field on Flute's standard error response object, alongside values such as `correlationId`, `errorCode`, or `statusCode`.
It's the identifier of the specific resource the failed request was about.
Error messages may specify "Entity with ID b31fbe9f-eebb-45ce-9cae-92265389f47f does not exist or has been deleted."
When a 404 (or similar entity-specific error, like a conflict) comes back,
check `entityId` to get the exact identifier of the record that couldn't be found or matched.
This is useful for confirming which resource reference was wrong, especially if the request touched multiple identifiers at once.
Example: null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

  - `title` (string)
    Indicates a short, human-readable summary of the error category.

Example: Resource not found
    Example: Resource not found

  - `cause` (string)
    Indicates the reason the error occurred.

Example: The requested resource does not exist or has been deleted.
    Example: The requested resource does not exist or has been deleted.

  - `resolution` (string)
    Indicates the recommended action for resolving the error.

Example: Verify the resource ID is correct or retrieve a list of available resources.
    Example: Verify the resource ID is correct or retrieve a list of available resources.

  - `documentationUrl` (string)
    https://developer.flute.com/

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Unauthorized
    Example: Unauthorized

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Response | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: <Service>

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

This is a unique identifier, a trace identifier, Flute attaches to a request/response pair so a single transaction can be traced end-to-end across systems and logs. 

Its intent is to support troubleshooting.
We recommend including this value when contacting support.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
This is a field on Flute's standard error response object, alongside values such as `correlationId`, `errorCode`, or `statusCode`.
It's the identifier of the specific resource the failed request was about.
Error messages may specify "Entity with ID b31fbe9f-eebb-45ce-9cae-92265389f47f does not exist or has been deleted."
When a 404 (or similar entity-specific error, like a conflict) comes back,
check `entityId` to get the exact identifier of the record that couldn't be found or matched.
This is useful for confirming which resource reference was wrong, especially if the request touched multiple identifiers at once.
Example: null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

  - `title` (string)
    Indicates a short, human-readable summary of the error category.

Example: Resource not found
    Example: Resource not found

  - `cause` (string)
    Indicates the reason the error occurred.

Example: The requested resource does not exist or has been deleted.
    Example: The requested resource does not exist or has been deleted.

  - `resolution` (string)
    Indicates the recommended action for resolving the error.

Example: Verify the resource ID is correct or retrieve a list of available resources.
    Example: Verify the resource ID is correct or retrieve a list of available resources.

  - `documentationUrl` (string)
    https://developer.flute.com/

